> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aviatrix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Poll SmartGroup Status

> Check the current status of SmartGroup operations



## OpenAPI

````yaml /openapi/8.2/aviatrix-api.json get /v2.5/api/app-domains/poll-resources
openapi: 3.1.0
info:
  title: Aviatrix Controller API
  version: '8.2'
  description: >-
    Aviatrix Controller API — version 8.2. Selected operations with Mintlify
    metadata.
servers: []
security: []
tags:
  - name: policies
    x-group: Policies
  - name: authentication
    x-group: Authentication
  - name: account-management
    x-group: Account Management
  - name: rbac
    x-group: RBAC & Permissions
  - name: gateways
    x-group: Gateways
  - name: transit
    x-group: Transit
  - name: nat
    x-group: NAT
  - name: app-domains
    x-group: SmartGroups
  - name: certificates
    x-group: Certificates
  - name: mitm
    x-group: MITM
  - name: monitoring
    x-group: Monitoring & Diagnostics
  - name: fqdn
    x-group: FQDN
  - name: logging
    x-group: Logging
  - name: vpn
    x-group: UserVPN
  - name: site-to-cloud
    x-group: Site-to-Cloud
  - name: controller
    x-group: Controller
  - name: bgp
    x-group: BGP
  - name: general
    x-group: General
  - name: firenet
    x-group: FireNet
  - name: networking
    x-group: Networking
  - name: tgw
    x-group: AWS TGW
  - name: ips
    x-group: IPS
  - name: saml
    x-group: SAML
paths:
  /v2.5/api/app-domains/poll-resources:
    get:
      tags:
        - app-domains
      operationId: app_domainPoll
      parameters:
        - description: Fetching cloud resources from controller's cache
          in: query
          name: cached
          schema:
            type: string
        - description: |
            Resource types to fetch. Formatted as comma separated values.
            Default value: vm,vpc,subnet
            Currently supported resource types are:
             - vm
             - vpc
             - subnet
             - nat_gateway
             - route_table
             - cluster
             - transit_gateway
             - network_interface
             - internet_gateway
             - vpc_peering_connection
             - certificate_authority
             - load_balancer
             - k8s_namespace
             - k8s_service
             - k8s_pod
             - k8s_endpoint_slice
             - k8s_node
          in: query
          name: resource_types
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          required: true
          description: 'Controller ID in the format: cid <CID>.'
          schema:
            type: string
            example: cid <CID>
            default: cid <CID>
          example: cid <CID>
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppDomainPollResources'
          description: GET operation response
        default:
          $ref: '#/components/responses/general_response_v25'
      x-codeSamples:
        - lang: curl
          label: cURL
          source: >-
            curl -sk -X GET
            "https://<controller>/v2.5/api/app-domains/poll-resources" \
              -H "Authorization: cid <CID>"
        - lang: python
          label: Python
          source: |-
            import requests

            url = "https://<controller>/v2.5/api/app-domains/poll-resources"
            headers = {"Authorization": "cid <CID>"}

            response = requests.get(url, headers=headers)
            print(response.text)
        - lang: go
          label: Go
          source: |-
            package main

            import (
              "fmt"
              "net/http"
            )

            func main() {
              req, _ := http.NewRequest("GET", "https://<controller>/v2.5/api/app-domains/poll-resources", nil)
              req.Header.Set("Authorization", "cid <CID>")

              client := &http.Client{}
              resp, err := client.Do(req)
              if err != nil {
                panic(err)
              }
              defer resp.Body.Close()

              fmt.Println(resp.Status)
            }
components:
  schemas:
    AppDomainPollResources:
      example:
        resources:
          - account_name: account_name
            csp: 0
            id: id
            instance_type: instance_type
            ips_or_cidrs:
              - ips_or_cidrs
              - ips_or_cidrs
            name: name
            region: region
            tags:
              key: tags
            type: type
            vnet_guid: vnet_guid
            vpc_id: vpc_id
          - account_name: account_name
            csp: 0
            id: id
            instance_type: instance_type
            ips_or_cidrs:
              - ips_or_cidrs
              - ips_or_cidrs
            name: name
            region: region
            tags:
              key: tags
            type: type
            vnet_guid: vnet_guid
            vpc_id: vpc_id
      properties:
        resources:
          items:
            $ref: '#/components/schemas/AppDomainPollResource'
          title: Resources
          type: array
      title: App Domain Poll Resources
      type: object
    AppDomainPollResource:
      example:
        account_name: account_name
        csp: 0
        id: id
        instance_type: instance_type
        ips_or_cidrs:
          - ips_or_cidrs
          - ips_or_cidrs
        name: name
        region: region
        tags:
          key: tags
        type: type
        vnet_guid: vnet_guid
        vpc_id: vpc_id
      properties:
        account_name:
          title: Account Name
          type: string
        csp:
          title: Cloud Service Provider
          type: integer
        id:
          title: Resource ID
          type: string
        instance_type:
          description: If type is instance, the type of instance on the cloud
          title: Instance Type
          type: string
        ips_or_cidrs:
          items:
            type: string
          title: IPs or CIDRs
          type: array
        name:
          title: Resource Name
          type: string
        region:
          title: Region
          type: string
        tags:
          additionalProperties:
            type: string
          title: Tags
          type: object
        type:
          title: Resource Type
          type: string
        vnet_guid:
          description: GUID of the VNet (Azure-only)
          title: VNet GUID
          type: string
        vpc_id:
          title: VPC/VNet ID
          type: string
      required:
        - account_name
        - csp
        - id
        - ips_or_cidrs
        - name
        - type
      title: App Domain Poll Resource
      type: object
    general_response_v25:
      description: A generic API response container for v2.5 style APIs.
      properties:
        message:
          description: A human-readable message.
          type: string
      title: General Response v2.5
      type: object
  responses:
    general_response_v25:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/general_response_v25'
      description: General v2.5 API response schema.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.